# Fetch usage for a single transcoder (Available from version 1.4) This operation shows the amount of usage (egress) for a specific transcoder. The default time frame is from the last billing date to the end of the current day. Endpoint: GET /usage/transcoders/{id} Version: v1.10 ## Path parameters: - `id` (string, required) The unique alphanumeric string that identifies the transcoder. ## Query parameters: - `from` (string) The start of the range of time you want to view. Specify YYYY-MM-DD HH:00:00 where HH is a 24-hour clock in UTC. The range doesn't include minutes and seconds and rounds minutes up to the hour. The maximum difference between from and to is 90 days. If you set the from query parameter without setting the to query parameter, the data returned will reflect 90 days starting at the from date, or data up to to the current day, whichever is shorter. You can also specify last_bill_date. Default: last billing date - `to` (string) The end of the range of time you want to view. Specify YYYY-MM-DD HH:00:00 where HH is a 24-hour clock in UTC. The range doesn't include minutes and seconds and rounds minutes up to the hour. The maximum difference between from and to is 90 days. If you set the to query parameter without setting the from query parameter, the data returned will be from the past 90 days or from your last invoice date, whichever is shorter. You can also specify last_bill_date. Default: end of the current day ## Response 200 fields (application/json): - `transcoders` (object) - `transcoders.id` (integer) The unique alphanumeric string that identifies the transcoder. - `transcoders.name` (string) A descriptive name for the transcoder. - `transcoders.archived` (boolean) A value of true indicates that the transcoder has been removed from Wowza Video. - `transcoders.billing_mode` (string) The billing mode for the transcoder. The default is pay_as_you_go. pay_as_you_go — Billed as a single event. A single event is use-based and you incur charges for the time spent streaming. twentyfour_seven — Billed as a 24x7 channel. A 24x7 channel is unlimited stream time for one channel. This billing mode doesn't incur overages, since it's unlimited. Enum: "pay_as_you_go", "twentyfour_seven" - `transcoders.transcoder_type` (string) The type of transcoder. The default is transcoded. Enum: "transcoded", "passthrough" - `transcoders.egress_bytes` (integer) The amount of content, in bytes, that went through the transcoder during the selected time frame. - `transcoders.egress_seconds` (integer) The amount of time, in seconds, that it took for the stream to be processed. - `transcoders.egress_seconds_additional_targets` (integer) The length of time, in seconds, that additional stream targets pulled from storage during the selected time frame. Subscriptions prices include egress for one target; additional targets incur additional charges. - `transcoders.unique_viewers` (integer) The total number of unique viewers to download at least one chunk of the stream at the target (for HTTP streams). A unique viewer is a single IP address; multiple users that share the same IP address are counted once. - `transcoders.viewing_seconds` (integer) The total length of time, in seconds, that the stream was played at the target. May be longer than the duration of the stream. - `transcoders.viewing_bytes` (integer) The amount of content, in bytes, that went through the transcoder during the selected time frame. - `transcoders.avg_viewing_seconds` (integer) The average length of time, in seconds, that the stream was played at the target. - `limits` (object) The time frame represented in the response. Example: {"from":"2019-10-01T07:00:00.000Z","to":"2019-10-16T11:00:00.000Z"} - `limits.from` (string) The start of the range of time represented in the response. Example: "2019-10-01T07:00:00.000Z" - `limits.to` (string) The end of the range of time represented in the response. Example: "2019-10-16T11:00:00.000Z" ## Response 401 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 403 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 404 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 410 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 422 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array)